> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Employer Admin

> Generates a magic link to a portal used by employers to view and manage their company's benefits. Magic links can be embedded directly into your product via iFrame.



## OpenAPI

````yaml post /components/employer
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /components/employer:
    post:
      tags:
        - components
      description: >-
        Generates a magic link to a portal used by employers to view and manage
        their company's benefits. Magic links can be embedded directly into your
        product via iFrame.
      operationId: components_employer_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmployerComponent'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/EmployerComponent'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/EmployerComponent'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmployerComponent'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    EmployerComponent:
      type: object
      properties:
        employer:
          type: string
      required:
        - employer
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````